<?php

namespace Assetdocs\Depart\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DepartItemTransformer extends TransformerAbstract
{
    public function transform(\Assetdocs\Depart\Models\Depart $depart)
    {
        return [
            'id'                => $depart->getRouteKey(),
            'id'                => $depart->id,
            'user_id'           => $depart->user_id,
            'code'              => $depart->code,
            'slug'              => $depart->slug,
            'name'              => $depart->name,
            'email_manager'     => $depart->email_manager,
            'mobile_manager'    => $depart->mobile_manager,
            'email_hod'         => $depart->email_hod,
            'mobile_hod'        => $depart->mobile_hod,
            'company_id'        => $depart->company_id,
            'status'            => $depart->status,
            'description'       => $depart->description,
            'created_at'        => $depart->created_at,
            'updated_at'        => $depart->updated_at,
            'deleted_at'        => $depart->deleted_at,
        ];
    }
}