<?php

use Illuminate\Database\Seeder;

class DepartTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('departs')->insert([
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/depart/depart',
                'name'        => 'Departs',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 1,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/departs',
                'name'        => 'Departs',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 1,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'departs',
                'name'        => 'Departs',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 1,
                'status'      => 1,
            ],

        ]);


        DB::table('permissions')->insert([
            [
                'slug'      => 'depart.depart.view',
                'name'      => 'View Depart',
            ],
            [
                'slug'      => 'depart.depart.create',
                'name'      => 'Create Depart',
            ],
            [
                'slug'      => 'depart.depart.edit',
                'name'      => 'Update Depart',
            ],
            [
                'slug'      => 'depart.depart.delete',
                'name'      => 'Delete Depart',
            ],
        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'depart.depart.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
