@include('public::notifications')
<div class="container">
    <div class="row">
        <div class="col-md-6">
            <h4 class="text-dark  header-title m-t-0"> My Departs </h4>
        </div>
        <div class="col-md-6">
            <a href="{{ trans_url('/user/depart/depart/create') }}" class="btn btn-default pull-right"> {{ trans('cms.create')  }} Depart</a>
        </div>
    </div>
    <p class="text-muted m-b-25 font-13">
        Your awesome text goes here.
    </p>
    <hr>
    <div class="row">
        <div class="col-md-4 m-b-5 pull-right">
            {!!Form::open()->method('GET')!!}
            <div class="input-group">
              {!!Form::text('search')->type('search')->class('form-control')->placeholder('Search for...')->raw()!!}
              <span class="input-group-btn">
                <button class="btn btn-primary" type="submit">Search</button>
              </span>
            </div>
            {!! Form::close()!!}
        </div>
    </div>   
    
    <div class="table-responsive">
        <table class="table">
            <thead>
                <tr>
                    <th>{!! trans('depart::depart.label.code')!!}</th>
        <th>{!! trans('depart::depart.label.name')!!}</th>
        <th>{!! trans('depart::depart.label.email_manager')!!}</th>
        <th>{!! trans('depart::depart.label.mobile_manager')!!}</th>
        <th>{!! trans('depart::depart.label.email_hod')!!}</th>
        <th>{!! trans('depart::depart.label.mobile_hod')!!}</th>
        <th>{!! trans('depart::depart.label.company_id')!!}</th>
        <th>{!! trans('depart::depart.label.description')!!}</th>
                    <th width="150">{!! trans('depart::depart.label.status')!!}</th>
                    <th width="150">Action</th>
                </tr>
            </thead>
            <tbody>
                @foreach($departs as $depart)
                <tr id="user-depart-depart-{!! $depart->getRouteKey() !!}">
                    <td>{{ $depart->code }}</td>
                    <td>{{ $depart->name }}</td>
                    <td>{{ $depart->email_manager }}</td>
                    <td>{{ $depart->mobile_manager }}</td>
                    <td>{{ $depart->email_hod }}</td>
                    <td>{{ $depart->mobile_hod }}</td>
                    <td>{{ $depart->company_id }}</td>
                    <td>{{ $depart->description }}</td>
                    <td><span class="label status-{{ $depart->status }}"> {{ $depart->status }} </span></td>
                    <td>
                        <a href="{{ trans_url('/user') }}/depart/depart/{!! $depart->getRouteKey() !!}"> View </a>
                        <a href="{{ trans_url('/user') }}/depart/depart/{!! $depart->getRouteKey() !!}/edit"> Edit </a>
                        <a data-action="DELETE" 
                            data-href="{{ trans_url('/user') }}/depart/depart/{!! $depart->getRouteKey() !!}" 
                            href="trans_url('/user')/depart/depart/{!! $depart->getRouteKey() !!}" data-remove="user-depart-depart-{!! $depart->getRouteKey() !!}"> 
                            Delete 
                        </a>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    {{ $departs->links() }}
</div>