<?php

// Admin web routes  for depart
Route::group(['prefix' => trans_setlocale().'/admin/depart'], function () {
    Route::resource('depart', 'Assetdocs\Depart\Http\Controllers\DepartAdminController');
});

// Admin API routes  for depart
Route::group(['prefix' => trans_setlocale().'api/v1/admin/depart'], function () {
    Route::resource('depart', 'Assetdocs\Depart\Http\Controllers\DepartAdminApiController');
});

// User web routes for depart
Route::group(['prefix' => trans_setlocale().'/user/departs'], function () {
    Route::resource('/', 'Assetdocs\Depart\Http\Controllers\DepartUserController');
});

// User API routes for depart
Route::group(['prefix' => trans_setlocale().'api/v1/user/departs'], function () {
    Route::resource('/', 'Assetdocs\Depart\Http\Controllers\DepartUserApiController');
});

// Public web routes for depart
Route::group(['prefix' => trans_setlocale().'/departs'], function () {
    Route::get('/', 'Assetdocs\Depart\Http\Controllers\DepartController@index');
    Route::get('/{slug?}', 'Assetdocs\Depart\Http\Controllers\DepartController@show');
});

// Public API routes for depart
Route::group(['prefix' => trans_setlocale().'api/v1/departs'], function () {
    Route::get('/', 'Assetdocs\Depart\Http\Controllers\DepartApiController@index');
    Route::get('/{slug?}', 'Assetdocs\Depart\Http\Controllers\DepartApiController@show');
});

